package com.hesiii.i_hear.Activities;

import androidx.appcompat.app.AppCompatActivity;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;

import com.hesiii.i_hear.Amplification.SoundAmplificationActivity;
import com.hesiii.i_hear.Game.CategoryActivity;
import com.hesiii.i_hear.HearingScreening.PreparationActivity;
import com.hesiii.i_hear.R;
import com.hesiii.i_hear.SignFunction.SignFunctionActivity;
import com.hesiii.i_hear.SoundClassification.SoundClassificationActivity;
import com.hesiii.i_hear.Summarization.SummarizationActivity;
import com.hesiii.i_hear.databinding.ActivityHomeBinding;

public class HomeActivity extends AppCompatActivity {

    private ActivityHomeBinding binding;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        binding = ActivityHomeBinding.inflate(getLayoutInflater());
        setContentView(binding.getRoot());

        if (getSupportActionBar() != null) {

            getSupportActionBar().hide();

        }

        binding.soundClassificationLayout.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {

                startActivity(new Intent(HomeActivity.this, SoundClassificationActivity.class));

            }
        });

        binding.soundAmplificationLayout.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {

                startActivity(new Intent(HomeActivity.this, SoundAmplificationActivity.class));

            }
        });

        binding.summarizationLayout.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {

                startActivity(new Intent(HomeActivity.this, SummarizationActivity.class));

            }
        });

        binding.learningGamesLayout.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                startActivity(new Intent(HomeActivity.this, CategoryActivity.class));
            }
        });

        binding.signLanguageRecognitionLayout.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                startActivity(new Intent(HomeActivity.this, SignFunctionActivity.class));
            }
        });

        binding.hearingScreeningLayout.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                startActivity(new Intent(HomeActivity.this, PreparationActivity.class));
            }
        });

    }
}